using Modules.Library.Domain.Entities.MediaContent.Items.Anime;
namespace Modules.Library.Application.Gateways;

public interface IAnimeTitleGateway
{

    public Task<List<Models.Anime.Title>> GetList();
    public Task<Models.Anime.Title> GetDetail(Guid id);

    public Task<AnimeTitle> GetById(Guid id);
    public Task<Guid> Create(AnimeTitle title);
    public Task Update(AnimeTitle title);
    //public Task<Guid> AddEpisode(Guid titleId, AnimeEpisode episode);
}